> ## Documentation Index
> Fetch the complete documentation index at: https://biscon.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Changes

> This endpoint is used to get the recent changes for a person.




## OpenAPI

````yaml get /person/{person_id}/changes
openapi: 3.0.3
info:
  title: TMDB API DOCUMENTATION
  description: >-
    The Movie Database is an API that provides comprehensive movie, TV show, and
    celebrity data. TMDB offers APIs that developers use to access and integrate
    its data into applications, websites, or services.
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.themoviedb.org/3
security:
  - bearerAuth: []
tags:
  - name: Authentication
    description: Endpoints for managing authentication, including login and user sessions.
  - name: Account
    description: Endpoints for managing user accounts, such as profiles and settings.
  - name: Certification
    description: Endpoints for retrieving and managing certification data.
  - name: Changes
    description: Endpoints for tracking changes and updates across the system.
  - name: Collection
    description: Endpoints for managing and accessing user collections.
  - name: Companies
    description: Endpoints for retrieving and managing company-related data.
  - name: Configuration
    description: Endpoints for accessing and updating system configuration settings.
  - name: Credits
    description: Endpoints for retrieving credit information related to movies or shows.
  - name: Discover
    description: Endpoints for discovering content based on filters and criteria.
  - name: Find
    description: Endpoints for locating specific items or entities in the database.
  - name: Genres
    description: Endpoints for retrieving and managing genres for categorization.
  - name: Guest Sessions
    description: Endpoints for creating and managing guest user sessions.
  - name: Keywords
    description: Endpoints for managing and searching content using keywords.
  - name: Lists
    description: Endpoints for creating and managing user-generated lists.
  - name: Movie Lists
    description: Endpoints for retrieving and managing lists of movies.
  - name: Movies
    description: Endpoints for retrieving detailed information about movies.
  - name: Networks
    description: Endpoints for retrieving and managing network-related data.
  - name: People Lists
    description: Endpoints for retrieving and managing lists of people in the system.
  - name: People
    description: Endpoints for retrieving information about actors, directors, and others.
  - name: Search
    description: Endpoints for performing searches across multiple categories.
  - name: Reviews
    description: Endpoints for managing and displaying reviews from users.
  - name: Trending
    description: Endpoints for retrieving trending content based on popularity.
  - name: TV Series Lists
    description: Endpoints for retrieving and managing lists of TV series.
  - name: TV Series
    description: Endpoints for retrieving detailed information about TV series.
  - name: TV Seasons
    description: Endpoints for retrieving and managing information about TV seasons.
  - name: TV Episodes
    description: Endpoints for retrieving and managing information about TV episodes.
  - name: TV Episode Groups
    description: Endpoints for managing groups of TV episodes organized by criteria.
  - name: Watch Providers
    description: >-
      Endpoints for retrieving availability information from streaming
      providers.
  - name: Auth
    description: >-
      Endpoints for managing version4 authentication, including login and user
      sessions.
  - name: Lists
    description: >-
      Endpoints for managing version4 authentication, including login and user
      sessions.
paths:
  /person/{person_id}/changes:
    get:
      tags:
        - People
      summary: Changes
      description: |
        This endpoint is used to get the recent changes for a person.
      operationId: peopleChanges
      parameters:
        - name: person_id
          in: path
          required: true
          schema:
            type: integer
          description: The ID of the person
        - name: end_date
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/date'
          description: The end date for a person
        - name: page
          in: query
          required: false
          schema:
            type: string
          description: Defaults to 1
        - name: start_date
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/date'
          description: The start date for a person
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                type: object
                properties:
                  changes:
                    type: boolean
                    description: Indicates whether there have been any changes.
                  key:
                    type: array
                    description: A list of unique identifiers or keys.
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        action:
                          type: string
                        time:
                          type: string
                        iso_639_1:
                          type: string
                        iso_3166_1:
                          type: string
                        value:
                          type: string
                example:
                  changes:
                    - key: biography
                      items:
                        - id: 640469b113654500ba4e859a
                          action: added
                          time: 2023-03-05 10:06:41 UTC
                          iso_639_1: ca
                          iso_3166_1: ES
                          value: >-
                            Thomas "Tom" Jeffrey Hanks (Concord, Califòrnia, 9
                            de juliol de 1956) és un actor de cinema i productor
                            estatunidenc, guanyador dues vegades de l'Oscar al
                            millor actor i considerat un dels més versàtils i
                            talentosos del cinema actual.


                            Hanks és l'actor que més diners ha guanyat de tota
                            la història del cinema amb un total de gairebé sis
                            mil milions de dòlars (setembre 2006). És també
                            copropietari de Playtone, una companyia de producció
                            de pel·lícules.
                    - key: translations
                      items:
                        - id: 640469a7e61e6d00963c33bb
                          action: added
                          time: 2023-03-05 10:06:31 UTC
                          iso_639_1: ''
                          iso_3166_1: ''
                          value: ca-ES
components:
  schemas:
    date:
      type: string
      format: date
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.